JSON-P 1.1?

Previous Topic Next Topic
 
classic Classic list List threaded Threaded
3 messages Options
Reply | Threaded
Open this post in threaded view
|  
Report Content as Inappropriate

JSON-P 1.1?

Romain Manni-Bucau
Hi guys,

even if part of EE 8 do we want to upgrade JSON-P to 1.1 on TomEE 7?

IMO it doesnt hurt and can enable new use cases like jsonpatch one for
instance.

Romain Manni-Bucau
@rmannibucau <https://twitter.com/rmannibucau> |  Blog
<https://blog-rmannibucau.rhcloud.com> | Old Blog
<http://rmannibucau.wordpress.com> | Github <https://github.com/rmannibucau> |
LinkedIn <https://www.linkedin.com/in/rmannibucau> | JavaEE Factory
<https://javaeefactory-rmannibucau.rhcloud.com>
Reply | Threaded
Open this post in threaded view
|  
Report Content as Inappropriate

Re: JSON-P 1.1?

asotobu
Just one thing JSONP 1.1 requires Java 8 meanwhile Java EE 7 (TomEE 7)
minimum JDK should be Java 7.

El dv., 28 d’abr. 2017 a les 10:29, Romain Manni-Bucau (<
[hidden email]>) va escriure:

> Hi guys,
>
> even if part of EE 8 do we want to upgrade JSON-P to 1.1 on TomEE 7?
>
> IMO it doesnt hurt and can enable new use cases like jsonpatch one for
> instance.
>
> Romain Manni-Bucau
> @rmannibucau <https://twitter.com/rmannibucau> |  Blog
> <https://blog-rmannibucau.rhcloud.com> | Old Blog
> <http://rmannibucau.wordpress.com> | Github <
> https://github.com/rmannibucau> |
> LinkedIn <https://www.linkedin.com/in/rmannibucau> | JavaEE Factory
> <https://javaeefactory-rmannibucau.rhcloud.com>
>
Reply | Threaded
Open this post in threaded view
|  
Report Content as Inappropriate

Re: JSON-P 1.1?

Romain Manni-Bucau
Sure but we can handle it if we want to make it java 7. Will probably not
be Johnzon 1.1.0 but can be 1.1.1.

2017-04-28 10:33 GMT+02:00 Alex Soto <[hidden email]>:

> Just one thing JSONP 1.1 requires Java 8 meanwhile Java EE 7 (TomEE 7)
> minimum JDK should be Java 7.
>
> El dv., 28 d’abr. 2017 a les 10:29, Romain Manni-Bucau (<
> [hidden email]>) va escriure:
>
> > Hi guys,
> >
> > even if part of EE 8 do we want to upgrade JSON-P to 1.1 on TomEE 7?
> >
> > IMO it doesnt hurt and can enable new use cases like jsonpatch one for
> > instance.
> >
> > Romain Manni-Bucau
> > @rmannibucau <https://twitter.com/rmannibucau> |  Blog
> > <https://blog-rmannibucau.rhcloud.com> | Old Blog
> > <http://rmannibucau.wordpress.com> | Github <
> > https://github.com/rmannibucau> |
> > LinkedIn <https://www.linkedin.com/in/rmannibucau> | JavaEE Factory
> > <https://javaeefactory-rmannibucau.rhcloud.com>
> >
>
Loading...